Loading...
Searching...
No Matches
hdr_dynamic_vivid_metadata.h File Reference
`#include "frame.h"`
`#include "rational.h"`

Go to the source code of this file.

## Data Structures

struct | AVHDRVivid3SplineParams
| HDR Vivid three spline params. More...
struct | AVHDRVividColorToneMappingParams
| Color tone mapping parameters at a processing window in a dynamic metadata for CUVA 005.1:2021. More...
struct | AVHDRVividColorTransformParams
| Color transform parameters at a processing window in a dynamic metadata for CUVA 005.1:2021. More...
struct | AVDynamicHDRVivid
| This struct represents dynamic metadata for color volume transform - CUVA 005.1:2021 standard. More...

## Functions

AVDynamicHDRVivid * | av_dynamic_hdr_vivid_alloc (size_t *size)
| Allocate an AVDynamicHDRVivid structure and set its fields to default values.
AVDynamicHDRVivid * | av_dynamic_hdr_vivid_create_side_data (AVFrame *frame)
| Allocate a complete AVDynamicHDRVivid and add it to the frame.

## Function Documentation

## av_dynamic_hdr_vivid_alloc()

AVDynamicHDRVivid * av_dynamic_hdr_vivid_alloc | ( | size_t * | size | ) |

Allocate an AVDynamicHDRVivid structure and set its fields to default values.

The resulting struct can be freed using av_freep().

Returns
  An AVDynamicHDRVivid filled with default values or NULL on failure.

## av_dynamic_hdr_vivid_create_side_data()

AVDynamicHDRVivid * av_dynamic_hdr_vivid_create_side_data | ( | AVFrame * | frame | ) |

Allocate a complete AVDynamicHDRVivid and add it to the frame.

Parameters

  frame | The frame which side data is added to.

Returns
  The AVDynamicHDRVivid structure to be filled by caller or NULL on failure.